/* Ejercicio punteros y vectores 6/6/15
 * Curso R1021
 *
 * header.h - Archivo cabecera
 * Autor: Leandro Kollenberger
 */

#define MAX 10 // cantidad de enteros a procesar

/* Prototipos de las funciones desarrolladas.
 * Ambas reciben un puntero a int (dirección de memoria del comienzo del vector
 * de enteros a filtrar), otro puntero a int (dirección de memoria de comienzo del
 * vector de valores filtrados) y otro int con la cantidad de valores a procesar.
 * El tipo de dato retornado es un entero que representa la cantidad de valores
 * procesados, es decir, que hay en el vector de salida.
 * Es importante que las funciones reciban como parámetro la cantidad de valores
 * a procesar, principalmente por tres razones:
 *   - Para no pasarme del fin del vector, y no tener que usar un valor que lo indique
 *     (como por ejemplo, el '\0' de los string, un "0" es un valor entero válido
 *     en este ejercicio).
 *   - Para evitar tener que usar un #define dentro de la función, de esa manera
 *     la vuelvo "portable", es decir, que la puedo reutilizar en trabajos posteriores
 *     sin tener que cambiar gran parte del código.
 *   - En otro programa, podría hacer que el usuario indique el final del ingreso de
 *     los valores de forma prematura (es decir, antes de llegar a MAX). Con este
 *     parámetro le indico a la función cuantos valores ingresó el usuario y debo
 *     procesar.
 */

int filtrar_positivos(int *, int *, int);
int filtrar_pares(int *, int *, int);
